SUBROUTINE EIGSOL(KFLEVG,KNFLEVG,PA,PFR,PFI,K,PMO,KWO,PWO,KER)

!**** EIGSOL - Routine to avoid calling a routine named RG( compiler problem)

!     ------------------------------------------------------------------

USE PARKIND1  ,ONLY : JPIM     ,JPRB
USE YOMHOOK   ,ONLY : LHOOK,   DR_HOOK

IMPLICIT NONE

INTEGER(KIND=JPIM)               :: KFLEVG ! UNDETERMINED INTENT
INTEGER(KIND=JPIM)               :: KNFLEVG ! UNDETERMINED INTENT
REAL(KIND=JPRB)                  :: PA(*) ! UNDETERMINED INTENT
REAL(KIND=JPRB)                  :: PFR(*) ! UNDETERMINED INTENT
REAL(KIND=JPRB)                  :: PFI(*) ! UNDETERMINED INTENT
INTEGER(KIND=JPIM)               :: K ! UNDETERMINED INTENT
REAL(KIND=JPRB)                  :: PMO(*) ! UNDETERMINED INTENT
INTEGER(KIND=JPIM)               :: KWO(*) ! UNDETERMINED INTENT
REAL(KIND=JPRB)                  :: PWO(*) ! UNDETERMINED INTENT
INTEGER(KIND=JPIM)               :: KER ! UNDETERMINED INTENT
REAL(KIND=JPRB) :: ZHOOK_HANDLE

IF (LHOOK) CALL DR_HOOK('EIGSOL',0,ZHOOK_HANDLE)
CALL RG(KFLEVG,KNFLEVG,PA,PFR,PFI,K,PMO,KWO,PWO,KER)

IF (LHOOK) CALL DR_HOOK('EIGSOL',1,ZHOOK_HANDLE)
END SUBROUTINE EIGSOL
